• Announcements

    • xper

      MSFN Sponsorship and AdBlockers!   07/10/2016

      Dear members, MSFN is made available via subscriptions, donations and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, become a site sponsor and ads will be disabled automatically and by subscribing you get other sponsor benefits.
Xeno86

KernelEx 4.5.2

1,561 posts in this topic

KernelEx 4.0 Final:

- Firefox 3.5.1 (3.5.2): CAN NOT EVEN INSTALL. Error message is: "...This version of Firefox requires Microsoft Windows 2000 or newer" (please see screenshot in the attachment)

- ZoneAlarm v6: DOES NOT start (no icon in the tray, no control...)

For firefox.exe, you may need to set setup.exe to 'winxp' compatibility mode. It's a secondary setup extracted from the main firefox installer. You can do so by adding this to your registry:

REGEDIT4

[HKEY_LOCAL_MACHINE\Software\KernelEx\AppSettings\Configs]

"*\\setup.exe"="WINXP"

.. and then try again. As for zonealarm, did it work prior to installing KernelEx? If so, you may want to disable the kernelex extentions for it in the compatibility tab.

0

Share this post


Link to post
Share on other sites

http://www.msfn.org/board/index.php?s=&amp...st&p=874240

Report: last flashplayer 10 - perfect on SeaMonkey 1.1.17 (hi, only ZIP, without install)

Mozilla/5.0 (Windows; U; Win98; cs-CZ; rv:1.8.1.22) Gecko/20090605 SeaMonkey/1.1.17

About:plugins

NPSWF32.dll

Shockwave Flash 10.0 r22

application/x-shockwave-flash Adobe Flash movie swf yes

application/futuresplash FutureSplash movie spl yes

Edited by Philco
0

Share this post


Link to post
Share on other sites
I've got the same problem as oc_dt and gg41.

Hello tErmY,

With the help of Xeno86 I managed to install KernelEx 4.0 Final.

I uninstalled KernelEx 4.0 RC2 then I replaced my kernel32.dll file from the original in C: \ windows \ system. I installed Final KernelEx 4.0 and everything works.

Hoping t'avoir helped.

Best regards

Edited by gg41
0

Share this post


Link to post
Share on other sites
I've got the same problem as oc_dt and gg41.

Hello tErmY,

With the help of Xeno86 I managed to install KernelEx 4.0 Final.

I uninstalled KernelEx 4.0 RC2 then I replaced my kernel32.dll file from the original in C: \ windows \ system. I installed Final KernelEx 4.0 and everything works.

Hoping t'avoir helped.

Best regards

Nice to hear that yours is ready. My Final is still failing; perhaps, Xeno86 is still looking into my drwatson log. Is this procedure applicable to me? Also, I'm wondering that your kernel32.dll should have some previous patches, would these patches be uneffective when it is replaced by the original Windows CD?

0

Share this post


Link to post
Share on other sites
For firefox.exe, you may need to set setup.exe to 'winxp' compatibility mode. It's a secondary setup extracted from the main firefox installer. You can do so by adding this to your registry:
REGEDIT4

[HKEY_LOCAL_MACHINE\Software\KernelEx\AppSettings\Configs]

"*\\setup.exe"="WINXP"

Thank you! It works!

2) Printing problems in Firefox 3.5.1 or 3.5.2 still exist :-(

Under Win98SE / KernelEx 4 Final I CAN NOT run "Print Peview" - I get error message that printer IS NOT found. If I run "Print" printer IS found, but instead of images and formatted text I get just PLAIN text.

As for zonealarm, did it work prior to installing KernelEx? If so, you may want to disable the kernelex extentions for it in the compatibility tab.

3) Yes. Prior of installation of KernelEx ZoneAlarm worked! I tried to disable kernelex extensions - did NOT help. I tried to force ZoneAlarm run in Win98SE compatibility mode - did NOT help also.

0

Share this post


Link to post
Share on other sites

I don't suppose you're getting validation errors with ZoneAlarm are you? The version (6.0.667, or something like that) I had been using until very recently stopped working because the files were signed with a certificate that expired mid last month. If that's the case, the problem is ZA died, and it's not KernelEx's fault. If it's not validation errors, I'm sorry for wasting your time.=)

Queue

0

Share this post


Link to post
Share on other sites
If that's the case, the problem is ZA died, and it's not KernelEx's fault.

OS: Win98SE

ZoneAlarm: 6.1.744.001

I uninstalled KernelEx. After reboot ZA is working as before!

So, it seems to be KernelEx 4 problem...

0

Share this post


Link to post
Share on other sites

This version installed and ran correctly on my computer where 4.0 RC2 would not. I did however find an issue with this breaking the right click and file "send link" context menu in Firefox 2.0.0.20 and it worked incorrectly with Firefox 3.5.2. I uninstalled version 4.0 final and discovered that this was the cause. My goal was to try and run Firefox 3.5.2 and it did, but it did not seem to be much of an improvement to me. It is possible that maybe I could have fixed the mailto application in 3.5.2 to point to the proper application, but I think I might stick with 2.0.0.20. Maybe if I ran firefox.exe in 98 compatibility mode it would work properly.

0

Share this post


Link to post
Share on other sites

I've seem to have found a slight issue with msimg32.dll in the Kex4 versions. Older nvidia drivers (56.64 and under) seem to have issues with it in 32-bit colour mode. So far the application for it to be noticable is with Trillian Astra when it comes to skin rendering.

http://i27.tinypic.com/mbjrly.jpg

It displays normally however when any of these conditions are met:

- Set to 16-bit mode

- MSIMG32.dll from KEx3.6 is used (but side effect of no transparency in FF3)

- Rivatuner is running with the sysmem.dll monitoring plugin enabled

- *Drivers greater than 56.64 are used (tested with 82.16/82.69).

* = 56.64 and under are needed for proper vertex shading with legacy cards in some applications/games.

Discovered with GeForce4 4000mx 128mb w/v45.23 (Omega 9M 1.4523)

Additionally, this has no relation to the similar issue present with GDI Heap Expander Beta0 but the rendering symptoms are the same which happens regardless of any of the listed conditions.

0

Share this post


Link to post
Share on other sites

Cannot Get KernelEx to work with firefox setup 3.5.2. Install just crashes. Tried --

[HKEY_LOCAL_MACHINE\Software\KernelEx\AppSettings\Configs]

"*\\setup.exe"="WINXP"

-- but that didn't work either. No error messages of any kind. Anyone any ideas?

0

Share this post


Link to post
Share on other sites
Cannot Get KernelEx to work with firefox setup 3.5.2. Install just crashes. Tried --

[HKEY_LOCAL_MACHINE\Software\KernelEx\AppSettings\Configs]

"*\\setup.exe"="WINXP"

-- but that didn't work either. No error messages of any kind. Anyone any ideas?

Firefox 3 if I'm correct requires at least KernelEx v3.6a. Additionally, not sure if the fix above to run the setup in compatibility mode even applies for the 3.x series without setting the compatibility manually. Have you tried using the newer v4.0?

0

Share this post


Link to post
Share on other sites

1) Running "internal" setup.exe from Firefox 3.5.2 installer in XP-compatible mode really works fine!

("REGEDIT solution" does work with KernelEx 4).

2) What about the problem with the printing in Win98SE - KernelEx 4.0 Final - Firefox 3.5.2? Is it going to be fixed? May be nobody else met this problem?

In brief:

- Print Preview command doesn't work at all: "Printer is not found" error message pops up instead.

- Print command works, but the output is Plain text without any formatting, graphics and images. :unsure:

0

Share this post


Link to post
Share on other sites
...

2) Printing problems in Firefox 3.5.1 or 3.5.2 still exist :-(

Under Win98SE / KernelEx 4 Final I CAN NOT run "Print Peview" - I get error message that printer IS NOT found. If I run "Print" printer IS found, but instead of images and formatted text I get just PLAIN text.

...

...

2) What about the problem with the printing in Win98SE - KernelEx 4.0 Final - Firefox 3.5.2? Is it going to be fixed? May be nobody else met this problem?

In brief:

- Print Preview command doesn't work at all: "Printer is not found" error message pops up instead.

- Print command works, but the output is Plain text without any formatting, graphics and images. :unsure:

See the Firefox 3.x printing discussion topic here:

http://www.msfn.org/board/index.php?showtopic=135117

0

Share this post


Link to post
Share on other sites
1) Running "internal" setup.exe from Firefox 3.5.2 installer in XP-compatible mode really works fine!

("REGEDIT solution" does work with KernelEx 4).

<snip>

Hummm...Still no joy. It just stalls on install (after about 2 seconds).

0

Share this post


Link to post
Share on other sites
Cannot Get KernelEx to work with firefox setup 3.5.2. Install just crashes. Tried --

[HKEY_LOCAL_MACHINE\Software\KernelEx\AppSettings\Configs]

"*\\setup.exe"="WINXP"

-- but that didn't work either. No error messages of any kind. Anyone any ideas?

Did you try to create and run .reg file with the following contents

REGEDIT 4
[HKEY_LOCAL_MACHINE\Software\KernelEx\AppSettings\Configs]
"*\\setup.exe"="WINXP"

or did you add the key to the registry manually? Please check the value by regedit.

0

Share this post


Link to post
Share on other sites

Xeno86, are you able to get my drwatson.log from my new link?

I found that my current system cannot run the following sysinternals programs properly:

autoruns

procexp

handle

Are there anything going wrong? I have all KernelEx uninstalled.

0

Share this post


Link to post
Share on other sites

:thumbup Hey folks!

I've got a problem with Firefox 3.5.2 in Win98 SE Spanish. When I've upgraded from Firefox 3.5.1 to Firefox 3.5.2, the themes (skins) of Firefox doesn't apply anymore. When I apply the theme I got the classic "Strata" skin theme. This not problem of the skin, i tried other many, and still nuthin' changes. With Firefox 3.5.1 no problem. This is a problem of KernelEx?

Thanx in advanx.

:blushing: Sorry if bad english.

0

Share this post


Link to post
Share on other sites

OK, I had a quick look through the posts to see if anyone mentioned Start Wars Empire At War and couldnt find anything.

I would like to say that it runs under win98se with kex.

If you dissable kex then it will through an error about shfolderex, so well done Xeno86 :)

It will of cource allways ask if you wish to continue as it was not designd to run on 98, however if you want rid of this message then click 2000 in compatability, this may have unknown effects...

Oh, actualy there is one problem with Star Wars Empire At War, An origonal Install will use a pice of software called securom. this is not able to check the dvd for the correct code so a patched exe is required to run the game without check.

securom complaines about either a 'virus' or complaines about debugging software running.

Trev

P.S. Does anyone know about Star Wars Battlefront II? I am not sure wheather to get it or whether its a waist of time and money - it looks like a good game topping I but if its not going to run then Im not interested...

Edited by trevor89
0

Share this post


Link to post
Share on other sites

.

KernelEX 4.0 Final BUG REPORT:

Win98se after installing 4.0 final

Fixfox 2.0.0.20 -> crash on start

IE 5.0 -> cannot connect to internet (I'm using dial-up)

Proxomitron 4.5 -> Cannot open listener socket (popup warning on start)

Revert back to RC2, everything ok, no such problems.

====================================

0

Share this post


Link to post
Share on other sites
.

KernelEX 4.0 Final BUG REPORT:

Win98se after installing 4.0 final

Fixfox 2.0.0.20 -> crash on start

IE 5.0 -> cannot connect to internet (I'm using dial-up)

Proxomitron 4.5 -> Cannot open listener socket (popup warning on start)

Revert back to RC2, everything ok, no such problems.

====================================

Fixfox 2.0.0.20 -> crash on start - Firefox? Version 2 i run with disable KernelEx properly (all version).

0

Share this post


Link to post
Share on other sites

... which of cource would be the same solution for IE5.

I wounder why that is though, surly if a 9x program doesn't need those extra apis then why do certian programs try to us them...?

Trev

0

Share this post


Link to post
Share on other sites
... which of cource would be the same solution for IE5.

I wounder why that is though, surly if a 9x program doesn't need those extra apis then why do certian programs try to us them...?

Trev

Some programs that are multi-windows test for the existance of certain api's to determine windows version instead. If certain WinNT api's exist, it assumes it isn't win9x and uses the other codepath.

0

Share this post


Link to post
Share on other sites
Xeno86, are you able to get my drwatson.log from my new link?

I found that my current system cannot run the following sysinternals programs properly:

autoruns

procexp

handle

Are there anything going wrong? I have all KernelEx uninstalled.

By failing to run the above programs, am my kernel is having trouble? I conducted many times of KernelEx RC2/Final install/uninstall for log collection, is my kernel still intact?

0

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.